From 3a4a5b6884cd9d608a34ba6a0591ba7b33b635f9 Mon Sep 17 00:00:00 2001
From: Peter Robinson <pbrobinson@gmail.com>
Date: Sun, 3 May 2015 13:49:47 +0100
Subject: [PATCH 08/10] imx6: standardise filesystem and boot options to
 mx6_common

---
 include/configs/aristainetos.h    |  8 --------
 include/configs/cgtqmx6eval.h     |  6 ------
 include/configs/gw_ventana.h      |  8 --------
 include/configs/hummingboard.h    |  6 ------
 include/configs/mx6_common.h      | 12 ++++++++++++
 include/configs/mx6cuboxi.h       |  6 ------
 include/configs/mx6qarm2.h        |  5 -----
 include/configs/mx6sabre_common.h |  8 --------
 include/configs/mx6slevk.h        |  5 -----
 include/configs/mx6sxsabresd.h    |  6 ------
 include/configs/nitrogen6x.h      | 13 -------------
 include/configs/novena.h          |  8 --------
 include/configs/ot1200.h          | 14 --------------
 include/configs/platinum.h        |  7 -------
 include/configs/secomx6quq7.h     |  6 ------
 include/configs/tbs2910.h         |  9 ---------
 include/configs/titanium.h        |  8 --------
 include/configs/tqma6.h           |  6 ------
 include/configs/udoo.h            |  6 ------
 include/configs/wandboard.h       |  6 ------
 include/configs/warp.h            |  8 --------
 21 files changed, 12 insertions(+), 149 deletions(-)

diff --git a/include/configs/aristainetos.h b/include/configs/aristainetos.h
index 8911e70..6859fff 100644
--- a/include/configs/aristainetos.h
+++ b/include/configs/aristainetos.h
@@ -41,9 +41,6 @@
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 #define CONFIG_CMD_PING
 #define CONFIG_CMD_DHCP
@@ -72,7 +69,6 @@
 
 /* Command definition */
 #define CONFIG_CMD_BMODE
-#define CONFIG_CMD_BOOTZ
 #define CONFIG_CMD_SETEXPR
 #undef CONFIG_CMD_IMLS
 
@@ -219,8 +215,6 @@
 #define CONFIG_ENV_OFFSET		(0x0d0000)
 #define CONFIG_ENV_OFFSET_REDUND	(0x0e0000)
 
-#define CONFIG_OF_LIBFDT
-
 #define CONFIG_CMD_CACHE
 
 #define CONFIG_SYS_FSL_USDHC_NUM	2
@@ -258,7 +252,6 @@
 
 /* USB Configs */
 #define CONFIG_CMD_USB
-#define CONFIG_CMD_FAT
 #define CONFIG_USB_EHCI
 #define CONFIG_USB_EHCI_MX6
 #define CONFIG_USB_STORAGE
@@ -275,7 +268,6 @@
 #define CONFIG_MTD_PARTITIONS
 #define CONFIG_MTD_DEVICE
 #define CONFIG_RBTREE
-#define CONFIG_LZO
 #define CONFIG_CMD_UBI
 #define CONFIG_CMD_UBIFS
 
diff --git a/include/configs/cgtqmx6eval.h b/include/configs/cgtqmx6eval.h
index 3b24e59..0454505 100644
--- a/include/configs/cgtqmx6eval.h
+++ b/include/configs/cgtqmx6eval.h
@@ -35,9 +35,6 @@
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 /* Miscellaneous commands */
 #define CONFIG_CMD_BMODE
@@ -132,9 +129,6 @@
 #define CONFIG_ENV_OFFSET		(6 * 64 * 1024)
 #define CONFIG_SYS_MMC_ENV_DEV		0
 
-#define CONFIG_OF_LIBFDT
-#define CONFIG_CMD_BOOTZ
-
 #ifndef CONFIG_SYS_DCACHE_OFF
 #define CONFIG_CMD_CACHE
 #endif
diff --git a/include/configs/gw_ventana.h b/include/configs/gw_ventana.h
index 4c9be1a..a83f0ba 100644
--- a/include/configs/gw_ventana.h
+++ b/include/configs/gw_ventana.h
@@ -97,12 +97,7 @@
 #define CONFIG_BOUNCE_BUFFER
 
 /* Filesystem support */
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_EXT4
-#define CONFIG_CMD_EXT4_WRITE
-#define CONFIG_CMD_FAT
 #define CONFIG_CMD_UBIFS
-#define CONFIG_DOS_PARTITION
 
 /*
  * SATA Configs
@@ -148,12 +143,10 @@
 #define CONFIG_CMD_BMODE         /* set eFUSE shadow for a boot dev and reset */
 #define CONFIG_CMD_HDMIDETECT    /* detect HDMI output device */
 #define CONFIG_CMD_SETEXPR
-#define CONFIG_CMD_BOOTZ
 #define CONFIG_CMD_GSC
 #define CONFIG_CMD_EECONFIG      /* Gateworks EEPROM config cmd */
 #define CONFIG_CMD_UBI
 #define CONFIG_RBTREE
-#define CONFIG_LZO
 #define CONFIG_CMD_FUSE          /* eFUSE read/write support */
 #ifdef CONFIG_CMD_FUSE
 #define CONFIG_MXC_OCOTP
@@ -437,7 +430,6 @@
 
 /* Device Tree Support */
 #define CONFIG_OF_BOARD_SETUP
-#define CONFIG_OF_LIBFDT
 #define CONFIG_FDT_FIXUP_PARTITIONS
 
 #ifndef CONFIG_SYS_DCACHE_OFF
diff --git a/include/configs/hummingboard.h b/include/configs/hummingboard.h
index 10ef86c..b0ca0a3 100644
--- a/include/configs/hummingboard.h
+++ b/include/configs/hummingboard.h
@@ -44,9 +44,6 @@
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 /* Ethernet Configuration */
 #define CONFIG_FEC_MXC
@@ -175,9 +172,6 @@
 #define CONFIG_ENV_OFFSET		(6 * 64 * 1024)
 #define CONFIG_SYS_MMC_ENV_DEV		0
 
-#define CONFIG_OF_LIBFDT
-#define CONFIG_CMD_BOOTZ
-
 #ifndef CONFIG_SYS_DCACHE_OFF
 #define CONFIG_CMD_CACHE
 #endif
diff --git a/include/configs/mx6_common.h b/include/configs/mx6_common.h
index 9bc73e6..52eeedc 100644
--- a/include/configs/mx6_common.h
+++ b/include/configs/mx6_common.h
@@ -58,6 +58,18 @@
 #define CONFIG_CONS_INDEX       1
 #define CONFIG_BAUDRATE         115200
 
+/* Filesystems and image support */
+#define CONFIG_OF_LIBFDT
+#define CONFIG_CMD_BOOTZ
+#define CONFIG_LZO
+#define CONFIG_SUPPORT_RAW_INITRD
+#define CONFIG_CMD_FS_GENERIC
+#define CONFIG_DOS_PARTITION
+#define CONFIG_CMD_EXT2
+#define CONFIG_CMD_EXT4
+#define CONFIG_CMD_EXT4_WRITE
+#define CONFIG_CMD_FAT
+
 /* Miscellaneous configurable options */
 #define CONFIG_SYS_NO_FLASH
 #define CONFIG_SYS_LONGHELP
diff --git a/include/configs/mx6cuboxi.h b/include/configs/mx6cuboxi.h
index 4455f02..6450f32 100644
--- a/include/configs/mx6cuboxi.h
+++ b/include/configs/mx6cuboxi.h
@@ -31,10 +31,6 @@
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_CMD_EXT4
-#define CONFIG_CMD_EXT4_WRITE
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 /* Ethernet Configuration */
 #define CONFIG_FEC_MXC
@@ -50,7 +46,6 @@
 #define CONFIG_PHY_ATHEROS
 
 /* Command definition */
-#define CONFIG_CMD_BOOTZ
 #define CONFIG_CMD_SETEXPR
 
 #define CONFIG_MXC_UART_BASE	UART1_BASE
@@ -174,7 +169,6 @@
 #define CONFIG_ENV_IS_IN_MMC
 #define CONFIG_ENV_OFFSET		(8 * 64 * 1024)
 
-#define CONFIG_OF_LIBFDT
 #define CONFIG_CMD_CACHE
 
 #endif                         /* __MX6CUBOXI_CONFIG_H */
diff --git a/include/configs/mx6qarm2.h b/include/configs/mx6qarm2.h
index 0bd0ba9..9155885 100644
--- a/include/configs/mx6qarm2.h
+++ b/include/configs/mx6qarm2.h
@@ -29,8 +29,6 @@
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 #define CONFIG_CMD_PING
 #define CONFIG_CMD_DHCP
@@ -144,9 +142,6 @@
 #define CONFIG_ENV_IS_IN_MMC
 #define CONFIG_SYS_MMC_ENV_DEV		1
 
-#define CONFIG_OF_LIBFDT
-#define CONFIG_CMD_BOOTZ
-
 /* USB Configs */
 #define CONFIG_CMD_USB
 #ifdef CONFIG_CMD_USB
diff --git a/include/configs/mx6sabre_common.h b/include/configs/mx6sabre_common.h
index 3ef6884..1605105 100644
--- a/include/configs/mx6sabre_common.h
+++ b/include/configs/mx6sabre_common.h
@@ -35,11 +35,6 @@
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_EXT4
-#define CONFIG_CMD_EXT4_WRITE
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 #define CONFIG_CMD_PING
 #define CONFIG_CMD_DHCP
@@ -68,7 +63,6 @@
 
 /* Command definition */
 #define CONFIG_CMD_BMODE
-#define CONFIG_CMD_BOOTZ
 #define CONFIG_CMD_SETEXPR
 #undef CONFIG_CMD_IMLS
 
@@ -213,8 +207,6 @@
 #define CONFIG_ENV_OFFSET		(8 * 64 * 1024)
 #endif
 
-#define CONFIG_OF_LIBFDT
-
 #ifndef CONFIG_SYS_DCACHE_OFF
 #define CONFIG_CMD_CACHE
 #endif
diff --git a/include/configs/mx6slevk.h b/include/configs/mx6slevk.h
index ab3be60..885953e 100644
--- a/include/configs/mx6slevk.h
+++ b/include/configs/mx6slevk.h
@@ -30,8 +30,6 @@
 #define CONFIG_MMC
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 /* I2C Configs */
 #define CONFIG_CMD_I2C
@@ -173,9 +171,6 @@
 #define CONFIG_ENV_IS_IN_MMC
 #endif
 
-#define CONFIG_OF_LIBFDT
-#define CONFIG_CMD_BOOTZ
-
 #ifndef CONFIG_SYS_DCACHE_OFF
 #define CONFIG_CMD_CACHE
 #endif
diff --git a/include/configs/mx6sxsabresd.h b/include/configs/mx6sxsabresd.h
index eaa82df..3fd92f6 100644
--- a/include/configs/mx6sxsabresd.h
+++ b/include/configs/mx6sxsabresd.h
@@ -132,9 +132,6 @@
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 /* I2C Configs */
 #define CONFIG_CMD_I2C
@@ -221,9 +218,6 @@
 #define CONFIG_ENV_SIZE			SZ_8K
 #define CONFIG_ENV_IS_IN_MMC
 
-#define CONFIG_OF_LIBFDT
-#define CONFIG_CMD_BOOTZ
-
 #ifndef CONFIG_SYS_DCACHE_OFF
 #define CONFIG_CMD_CACHE
 #endif
diff --git a/include/configs/nitrogen6x.h b/include/configs/nitrogen6x.h
index 2524810..4f2814a 100644
--- a/include/configs/nitrogen6x.h
+++ b/include/configs/nitrogen6x.h
@@ -63,11 +63,6 @@
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_EXT4
-#define CONFIG_CMD_EXT4_WRITE
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 #ifdef CONFIG_MX6Q
 #define CONFIG_CMD_SATA
@@ -101,7 +96,6 @@
 
 /* USB Configs */
 #define CONFIG_CMD_USB
-#define CONFIG_CMD_FAT
 #define CONFIG_USB_EHCI
 #define CONFIG_USB_EHCI_MX6
 #define CONFIG_USB_STORAGE
@@ -338,9 +332,6 @@
 #define CONFIG_ENV_SPI_MAX_HZ		CONFIG_SF_DEFAULT_SPEED
 #endif
 
-#define CONFIG_OF_LIBFDT
-#define CONFIG_CMD_BOOTZ
-
 #ifndef CONFIG_SYS_DCACHE_OFF
 #define CONFIG_CMD_CACHE
 #endif
@@ -351,10 +342,6 @@
 #define CONFIG_CMD_MEMTEST
 #define CONFIG_SYS_ALT_MEMTEST
 
-#define CONFIG_CMD_BOOTZ
-#define CONFIG_SUPPORT_RAW_INITRD
-#define CONFIG_CMD_FS_GENERIC
-
 /*
  * PCI express
  */
diff --git a/include/configs/novena.h b/include/configs/novena.h
index b5fcc3d..38162f4 100644
--- a/include/configs/novena.h
+++ b/include/configs/novena.h
@@ -13,11 +13,8 @@
 #define CONFIG_BOARD_EARLY_INIT_F
 #define CONFIG_BOARD_LATE_INIT
 #define CONFIG_MISC_INIT_R
-#define CONFIG_DOS_PARTITION
-#define CONFIG_FAT_WRITE
 #define CONFIG_FIT
 #define CONFIG_KEYBOARD
-#define CONFIG_OF_LIBFDT
 #define CONFIG_REGEX
 
 #include "mx6_common.h"
@@ -25,14 +22,9 @@
 /* U-Boot Commands */
 #define CONFIG_CMD_ASKENV
 #define CONFIG_CMD_BMODE
-#define CONFIG_CMD_BOOTZ
 #define CONFIG_CMD_CACHE
 #define CONFIG_CMD_DHCP
 #define CONFIG_CMD_EEPROM
-#define CONFIG_CMD_EXT4
-#define CONFIG_CMD_EXT4_WRITE
-#define CONFIG_CMD_FAT
-#define CONFIG_CMD_FS_GENERIC
 #define CONFIG_CMD_I2C
 #define CONFIG_CMD_FUSE
 #define CONFIG_CMD_MII
diff --git a/include/configs/ot1200.h b/include/configs/ot1200.h
index b292092..9d2b0d8 100644
--- a/include/configs/ot1200.h
+++ b/include/configs/ot1200.h
@@ -165,24 +165,10 @@
 #define CONFIG_ENV_SPI_MODE             CONFIG_SF_DEFAULT_MODE
 #define CONFIG_ENV_SPI_MAX_HZ           CONFIG_SF_DEFAULT_SPEED
 
-#define CONFIG_OF_LIBFDT
-#define CONFIG_CMD_BOOTZ
-
 #ifndef CONFIG_SYS_DCACHE_OFF
 #define CONFIG_CMD_CACHE
 #endif
 
-#define CONFIG_CMD_BOOTZ
-#define CONFIG_SUPPORT_RAW_INITRD
-
-/* FS Configs */
-#define CONFIG_CMD_EXT3
-#define CONFIG_CMD_EXT4
-#define CONFIG_DOS_PARTITION
-#define CONFIG_CMD_FS_GENERIC
-#define CONFIG_LIB_UUID
-#define CONFIG_CMD_FS_UUID
-
 #define CONFIG_BOOTP_SERVERIP
 #define CONFIG_BOOTP_BOOTFILE
 
diff --git a/include/configs/platinum.h b/include/configs/platinum.h
index df716c3..1f8f285 100644
--- a/include/configs/platinum.h
+++ b/include/configs/platinum.h
@@ -23,8 +23,6 @@
 
 #define CONFIG_CMD_BMODE
 #define CONFIG_CMD_DHCP
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_FAT
 #define CONFIG_CMD_FUSE
 #define CONFIG_CMD_I2C
 #undef  CONFIG_CMD_IMLS
@@ -62,7 +60,6 @@
 #define CONFIG_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_DOS_PARTITION
 
 /* Ethernet config */
 #define CONFIG_FEC_MXC
@@ -144,9 +141,6 @@
 #define CONFIG_BOARD_EARLY_INIT_F
 #define CONFIG_MISC_INIT_R
 
-/* Device tree support */
-#define CONFIG_OF_LIBFDT
-
 #define CONFIG_SYS_MEMTEST_START		PHYS_SDRAM
 #define CONFIG_SYS_MEMTEST_END			(CONFIG_SYS_MEMTEST_START + \
 						 PHYS_SDRAM_SIZE - (12 << 20))
@@ -161,7 +155,6 @@
 						 sizeof(CONFIG_SYS_PROMPT) + 16)
 
 /* MTD/UBI/UBIFS config */
-#define CONFIG_LZO
 #define CONFIG_MTD_DEVICE
 #define CONFIG_MTD_PARTITIONS
 #define CONFIG_RBTREE
diff --git a/include/configs/secomx6quq7.h b/include/configs/secomx6quq7.h
index d6ed7bf..a040738 100644
--- a/include/configs/secomx6quq7.h
+++ b/include/configs/secomx6quq7.h
@@ -40,9 +40,6 @@
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 /* Ethernet Configuration */
 #define CONFIG_CMD_PING
@@ -120,9 +117,6 @@
 	#define CONFIG_DYNAMIC_MMC_DEVNO
 #endif
 
-#define CONFIG_OF_LIBFDT
-#define CONFIG_CMD_BOOTZ
-
 #ifndef CONFIG_SYS_DCACHE_OFF
 #define CONFIG_CMD_CACHE
 #endif
diff --git a/include/configs/tbs2910.h b/include/configs/tbs2910.h
index 739f6e5..d258a3d 100644
--- a/include/configs/tbs2910.h
+++ b/include/configs/tbs2910.h
@@ -60,15 +60,6 @@
 #define CONFIG_CMD_TIME
 
 /* Filesystems / image support */
-#define CONFIG_CMD_EXT4
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
-#define CONFIG_EFI_PARTITION
-#define CONFIG_CMD_FS_GENERIC
-
-#define CONFIG_OF_LIBFDT
-#define CONFIG_CMD_BOOTZ
-#define CONFIG_SUPPORT_RAW_INITRD
 #define CONFIG_FIT
 
 /* MMC */
diff --git a/include/configs/titanium.h b/include/configs/titanium.h
index e5e6736..0d056d0 100644
--- a/include/configs/titanium.h
+++ b/include/configs/titanium.h
@@ -46,9 +46,6 @@
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 #define CONFIG_CMD_PING
 #define CONFIG_CMD_DHCP
@@ -65,7 +62,6 @@
 
 /* USB Configs */
 #define CONFIG_CMD_USB
-#define CONFIG_CMD_FAT
 #define CONFIG_USB_EHCI
 #define CONFIG_USB_EHCI_MX6
 #define CONFIG_USB_STORAGE
@@ -216,7 +212,6 @@
 #endif /* CONFIG_CMD_NAND */
 
 /* UBI/UBIFS config options */
-#define CONFIG_LZO
 #define CONFIG_MTD_DEVICE
 #define CONFIG_MTD_PARTITIONS
 #define CONFIG_RBTREE
@@ -224,9 +219,6 @@
 #define CONFIG_CMD_UBI
 #define CONFIG_CMD_UBIFS
 
-#define CONFIG_OF_LIBFDT
-#define CONFIG_CMD_BOOTZ
-
 #ifndef CONFIG_SYS_DCACHE_OFF
 #define CONFIG_CMD_CACHE
 #endif
diff --git a/include/configs/tqma6.h b/include/configs/tqma6.h
index 10bb366..4ba700c 100644
--- a/include/configs/tqma6.h
+++ b/include/configs/tqma6.h
@@ -104,10 +104,6 @@
 #define CONFIG_MXC_OCOTP
 #define CONFIG_CMD_FUSE
 
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
-
 #define CONFIG_CMD_PING
 #define CONFIG_CMD_DHCP
 #define CONFIG_CMD_MII
@@ -126,7 +122,6 @@
 
 /* Command definition */
 #define CONFIG_CMD_BMODE
-#define CONFIG_CMD_BOOTZ
 #define CONFIG_CMD_ITEST
 #define CONFIG_CMD_SETEXPR
 #undef CONFIG_CMD_IMLS
@@ -404,7 +399,6 @@
 #define CONFIG_SYS_INIT_SP_ADDR \
 	(CONFIG_SYS_INIT_RAM_ADDR + CONFIG_SYS_INIT_SP_OFFSET)
 
-#define CONFIG_OF_LIBFDT
 #define CONFIG_OF_BOARD_SETUP
 #define CONFIG_FIT
 #define CONFIG_FIT_VERBOSE
diff --git a/include/configs/udoo.h b/include/configs/udoo.h
index 4fc4f40..dd3b58f 100644
--- a/include/configs/udoo.h
+++ b/include/configs/udoo.h
@@ -68,9 +68,6 @@
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 #define CONFIG_DEFAULT_FDT_FILE		"imx6q-udoo.dtb"
 
@@ -185,9 +182,6 @@
 #define CONFIG_ENV_OFFSET		(6 * 64 * 1024)
 #define CONFIG_SYS_MMC_ENV_DEV		0
 
-#define CONFIG_OF_LIBFDT
-#define CONFIG_CMD_BOOTZ
-
 #ifndef CONFIG_SYS_DCACHE_OFF
 #define CONFIG_CMD_CACHE
 #endif
diff --git a/include/configs/wandboard.h b/include/configs/wandboard.h
index d0915c6..2d24138 100644
--- a/include/configs/wandboard.h
+++ b/include/configs/wandboard.h
@@ -49,9 +49,6 @@
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 /* USB Configs */
 #define CONFIG_CMD_USB
@@ -239,9 +236,6 @@
 #define CONFIG_ENV_OFFSET		(6 * 64 * 1024)
 #define CONFIG_SYS_MMC_ENV_DEV		0
 
-#define CONFIG_OF_LIBFDT
-#define CONFIG_CMD_BOOTZ
-
 #ifndef CONFIG_SYS_DCACHE_OFF
 #define CONFIG_CMD_CACHE
 #endif
diff --git a/include/configs/warp.h b/include/configs/warp.h
index 684a7c4..50119f0 100644
--- a/include/configs/warp.h
+++ b/include/configs/warp.h
@@ -35,11 +35,6 @@
 #define CONFIG_CMD_MMC
 #define CONFIG_GENERIC_MMC
 #define CONFIG_BOUNCE_BUFFER
-#define CONFIG_CMD_EXT2
-#define CONFIG_CMD_EXT4
-#define CONFIG_CMD_EXT4_WRITE
-#define CONFIG_CMD_FAT
-#define CONFIG_DOS_PARTITION
 
 /* Command definition */
 #undef CONFIG_CMD_NET
@@ -78,9 +73,6 @@
 /* VDD voltage 1.65 - 1.95 */
 #define CONFIG_SYS_SD_VOLTAGE		0x00000080
 
-#define CONFIG_OF_LIBFDT
-#define CONFIG_CMD_BOOTZ
-
 #ifndef CONFIG_SYS_DCACHE_OFF
 #define CONFIG_CMD_CACHE
 #endif
-- 
2.4.0

